TelepathyQt4: PropertiesInterfaceInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# PropertiesInterfaceInterface Class Reference
[Telepathy Properties proxy]

`#include <TelepathyQt4/Properties>`

Inherits Tp::AbstractInterface.

List of all members.

## Public Slots

- QDBusPendingReply
  < Tp::PropertyValueList > GetProperties (const Tp::UIntList &properties)
- QDBusPendingReply
  < Tp::PropertySpecList > ListProperties ()
- QDBusPendingReply SetProperties (const Tp::PropertyValueList &properties)

## Signals

- void PropertiesChanged (const Tp::PropertyValueList &properties)
- void PropertyFlagsChanged (const Tp::PropertyFlagsChangeList &properties)

## Public Member Functions

- PropertiesInterfaceInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
- PropertiesInterfaceInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
- PropertiesInterfaceInterface (Tp::DBusProxy *proxy)
- PropertiesInterfaceInterface (const Tp::AbstractInterface &mainInterface)
- PropertiesInterfaceInterface (const Tp::AbstractInterface &mainInterface, QObject *parent)

## Static Public Member Functions

- static const char * staticInterfaceName ()

## Protected Member Functions

- virtual void invalidate (Tp::DBusProxy *, const QString &, const QString &)

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Properties."

## Constructor & Destructor Documentation

PropertiesInterfaceInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0` |
| ) |  |  |

Creates a PropertiesInterfaceInterface associated with the given object on the session bus.

Parameters:

  | busName | Name of the service the object is on.
  | objectPath | Path to the object on the service.
  | parent | Passed to the parent class constructor.

PropertiesInterfaceInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0` |
| ) |  |  |

Creates a PropertiesInterfaceInterface associated with the given object on the given bus.

Parameters:

  | connection | The bus via which the object can be reached.
  | busName | Name of the service the object is on.
  | objectPath | Path to the object on the service.
  | parent | Passed to the parent class constructor.

PropertiesInterfaceInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a PropertiesInterfaceInterface associated with the same object as the given proxy.

Parameters:

  | proxy | The proxy to use. It will also be the QObject::parent() for this object.

PropertiesInterfaceInterface | ( | const Tp::AbstractInterface & | mainInterface | ) | `[explicit]`

Creates a PropertiesInterfaceInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters:

  | mainInterface | The proxy to use.

PropertiesInterfaceInterface | ( | const Tp::AbstractInterface & | mainInterface,
|  | QObject * | parent |
| ) |  |  |

Creates a PropertiesInterfaceInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters:

  | mainInterface | The proxy to use.
  | parent | Passed to the parent class constructor.

## Member Function Documentation

static const char* staticInterfaceName | ( |  | ) | `[inline, static]`

Returns the name of the interface "org.freedesktop.Telepathy.Properties", which this class represents.

Returns:
  The D-Bus interface name.

QDBusPendingReply<Tp::PropertyValueList> GetProperties | ( | const Tp::UIntList & | properties | ) | `[inline, slot]`

Begins a call to the D-Bus method "GetProperties" on the remote object.

Returns an array of (identifier, value) pairs containing the current values of the given properties.

Parameters:

  | properties | An array of property identifiers

Returns:

An array of structs containing:

- integer identifiers
- variant boxed values

QDBusPendingReply<Tp::PropertySpecList> ListProperties | ( |  | ) | `[inline, slot]`

Begins a call to the D-Bus method "ListProperties" on the remote object.

Returns a dictionary of the properties available on this channel.

Returns:

An array of structs containing: an integer identifier a string property name a string representing the D-Bus signature of this property a bitwise OR of the flags applicable to this property

QDBusPendingReply SetProperties | ( | const Tp::PropertyValueList & | properties | ) | `[inline, slot]`

Begins a call to the D-Bus method "SetProperties" on the remote object.

Takes an array of (identifier, value) pairs containing desired values to set the given properties. In the case of any errors, no properties will be changed. When the changes have been acknowledged by the server, the PropertiesChanged signal will be emitted.

All properties given must have the PROPERTY_FLAG_WRITE flag, or PermissionDenied will be returned. If any variants are of the wrong type, NotAvailable will be returned. If any given property identifiers are invalid, InvalidArgument will be returned.

Parameters:

  | properties | An array mapping integer property identifiers to boxed values

void PropertiesChanged | ( | const Tp::PropertyValueList & | properties | ) | `[signal]`

Represents the signal "PropertiesChanged" on the remote object.

Emitted when the value of readable properties has changed.

Parameters:

  | properties |

An array of structs containing:

- integer identifiers
- variant boxed values

The array should contain only properties whose values have actually changed.

void PropertyFlagsChanged | ( | const Tp::PropertyFlagsChangeList & | properties | ) | `[signal]`

Represents the signal "PropertyFlagsChanged" on the remote object.

Emitted when the flags of some room properties have changed.

Parameters:

  | properties |

An array of structs containing:

- integer identifiers
- a bitwise OR of the current flags

The array should contain only properties whose flags have actually changed.

virtual void invalidate | ( | Tp::DBusProxy * | ,
|  | const QString & | ,
|  | const QString & |  |
| ) |  |  | `[protected, virtual]`